import numpy as np

x = np.arange(5.)
y = x**2

# Example 1
f = open('mydat1.txt','w')
for i in range(len(x)):
    f.write("{} {}\n".format(x[i],y[i]))
f.close()

# Example 2
f = open('mydat2.txt','w')
[f.write("{} {}\n".format(x[i],y[i])) for i in range(len(x))]
f.close()

# Example 3
with open('mydat3.txt','w') as f:
    [f.write("{} {}\n".format(i,j)) for i,j in zip(x,y)]

# Example 4
with open('mydat4.txt','w') as f:
    f.writelines(["{} {}\n".format(i,j) for i,j in zip(x,y)])
