#!/usr/bin/python
"""
Prints "Hello, <username>" where <username> is an optional command
line argument. 

Args:
    sys.argv[1]: string (optional)

Examples:
>>> python hello.py 
Hello, Stranger!
>>> python hello.py Bob
Hello, Bob!
"""
import sys

if (len(sys.argv) > 1):
    print "Hello, "+sys.argv[1]+"!"
else:
    print "Hello, Stranger!"
